Skip to navigation

Delete Assessment Package

View as Markdown
Partner Restricted

All assessment API endpoints are restricted to assessment providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.

Summary Description

This API endpoint is for assessment partners to delete assessment packages from Paylocity’s platform.

Use Cases

  • Delete Packages: Partners can delete an assessment package by providing the packageId
  • Confirmation Response: The API confirms the deletion with the packageId and its status

Note: The packageId should match the package you intend to delete.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.

packageIdstringRequired
Assessment or screening package identifier.

Headers

testModestringOptional
If true all responses are mocked and generated randomly.
AcceptstringOptional

Media type(s) the client can accept in the response (typically application/json).

Response

Successful response

Errors

401
Unauthorized Error